Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.security
Interface JRole

All Superinterfaces:
  java.security.Principal

    public interface JRole

extends java.security.Principal

This interface is used to represent a role of principals for jreport server. (A principal represents an entity such as an individual user or a company).

Method Summary
`java.lang.String` | `getDescription()` Get the role's description
`java.lang.String[]` | `getGroupNames()` Get the role's sub group name list
`java.lang.String[]` | `getParentRoleNames()` Get the role's parent role name list
`java.lang.String[]` | `getSubRoleNames()` Get the role's sub role name list
`int` | `getType()` Get the group's type.
`java.lang.String[]` | `getUserNames()` Get the role's sub user name list
`boolean` | `isBuiltin()` Whether the role created by system or not

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### isBuiltin

    boolean isBuiltin()

  Whether the role created by system or not

  Returns:
    if this role is created by system return true, otherwise return false

### getDescription

    java.lang.String getDescription()

  Get the role's description

  Returns:
    the role's description

### getType

    int getType()

  Get the group's type. This type is used for checking whether this role is created in local or imported from LDAP server. If this type is 0, it is created in local. If the type is 1, it is imported from LDAP server.

  Returns:
    the role's type

### getParentRoleNames

    java.lang.String[] getParentRoleNames()

  Get the role's parent role name list

  Returns:
    the parent role name list

### getSubRoleNames

    java.lang.String[] getSubRoleNames()

  Get the role's sub role name list

  Returns:
    the sub role name list

### getGroupNames

    java.lang.String[] getGroupNames()

  Get the role's sub group name list

  Returns:
    the sub group name list

### getUserNames

    java.lang.String[] getUserNames()

  Get the role's sub user name list

  Returns:
    the sub user name list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD